/* ---------------- commands.h ----------------- */

/*
 * Command values sent as the first parameter
 * in the COMMAND message
 *
 * Add application-specific commands to this enum
 */

#ifndef COMMANDS_H
#define COMMANDS_H

enum commands {
    /* --------------- File menu ---------------- */
    ID_FIPS,
    ID_MAKEDISKS,
    ID_DEFRAG,
    ID_FDISK,
    ID_DELETEFILE,
    ID_PRINT,
    ID_PRINTSETUP,
    ID_DOS,
    ID_EXIT,
    /* --------------- Drivers menu ---------------- */
    ID_SCSI,
    ID_ETH,
    ID_CDROM,
    ID_PASTE,
    ID_SELECTSCSI,
    ID_SELECTETH,
    ID_SELECTCDROM,
    /* --------------- Search Menu -------------- */
    ID_DOSDRIVEPATH,
    ID_REPLACE,
    ID_SEARCHNEXT,
	/* --------------- Utilities Menu ------------- */
	ID_CALENDAR,
	ID_BARCHART,
    /* -------------- Options menu -------------- */
    ID_INSERT,
    ID_WRAP,
    ID_LOG,
    ID_TABS,
    ID_DISPLAY,
    ID_SAVEOPTIONS,
    /* --------------- Window menu -------------- */
    ID_CLOSEALL,
    ID_WINDOW,
	ID_MOREWINDOWS,
    /* --------------- Help menu ---------------- */
    ID_HELPHELP,
    ID_EXTHELP,
    ID_KEYSHELP,
    ID_HELPINDEX,
    ID_ABOUT,
    ID_LOADHELP,
    /* --------------- System menu -------------- */
#ifdef INCLUDE_RESTORE
    ID_SYSRESTORE,
#endif
    ID_SYSMOVE,
    ID_SYSSIZE,
#ifdef INCLUDE_MINIMIZE
    ID_SYSMINIMIZE,
#endif
#ifdef INCLUDE_MAXIMIZE
    ID_SYSMAXIMIZE,
#endif
    ID_SYSCLOSE,
    /* ---- MakeDisksDlg and SelectDrives dialog boxes ---- */
    ID_FLOPPYLETTER,
    ID_TEXT,
    ID_DRIVE,
    ID_PATH,
    /* ----- SelectScsiDlg dialog boxes ---- */
    ID_ETHDEVICE,
    ID_CDROMDEVICE,
    ID_MATCHCASE,
    ID_REPLACEALL,
    /* ----------- Windows dialog box ----------- */
    ID_WINDOWLIST,
    /* --------- generic command buttons -------- */
    ID_OK,
    ID_CANCEL,
    ID_HELP,
    /* -------------- SelectEthernetDlg menu ------------- */
    ID_TAB2,
    ID_TAB4,
    ID_TAB6,
    ID_TAB8,
    /* ------------ Display dialog box ---------- */
    ID_BORDER,
    ID_TITLE,
    ID_STATUSBAR,
    ID_TEXTURE,
	ID_SNOWY,
    ID_COLOR,
    ID_MONO,
    ID_REVERSE,
    ID_25LINES,
    ID_43LINES,
    ID_50LINES,
    /* ------------- Log dialog box ------------- */
    ID_LOGLIST,
    ID_LOGGING,
    /* ------------ HelpBox dialog box ---------- */
    ID_HELPTEXT,
    ID_BACK,
    ID_PREV,
    ID_NEXT,
	/* ---------- SelectCDRomDlg dialog box --------- */
	ID_SCSIDEVICE,
	ID_CDROMLETTER,
	ID_RIGHTMARGIN,
	ID_TOPMARGIN,
	ID_BOTTOMMARGIN,
	/* ----------- InputBox dialog box ------------ */
	ID_INPUTTEXT
};

#endif
