/* Linklist.h */

#ifndef _LINKLISTH
#define _LINKLISTH

#include <stdio.h>
#include <stdlib.h>
#include <malloc.h>
#include <memory.h>

/* #define LINUX */
/* #define TESTING */

#ifdef LINUX
#define MAXLINELEN 256
#define MAXFIELDLEN 50
#endif

/* Cast NULL to a 32 bit pointer instead of a 16 bit one which
   mucked us up big time!! */
#ifndef LINUX
#define LPNULL				((void __far *)0)
#else
#define LPNULL				((void *)0)
#endif

#define TRUE 1
#define FALSE 0

/* node definition */
typedef struct tagNode
{                  
#ifndef LINUX
	void __far *pMem;
#else
	void *pMem;
#endif

	struct tagNode *nPrev;
	struct tagNode *nNext;
} node;

typedef struct tagLinkList
{
	node *nFirst;
	node *nLast;
	node *nCurrent;
} linkList;

/* Function prototypes */
void createList(linkList *);
void destroyList(linkList *);
#ifndef LINUX
void __far *next(linkList *);
void __far *prev(linkList *);
void __far *first(linkList *);
void __far *last(linkList *);
int add(linkList *, void __far *);
#else
void *next(linkList *);
void *prev(linkList *);
void *first(linkList *);
void *last(linkList *);
int add(linkList *, void *);
#endif
int ll_remove(linkList *);
int empty(linkList *);

#endif
